Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出应用的卷

GET /accounts/{account_id}/k8s/v1/apps/{app_id}/volumes

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

app_id

string

path

True

包含应用程序资源的 ID

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

  • 示例:id,name

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意以下之一:"volume_1.2_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-volumes",
  "version": "1.2",
  "items": [
    [
      "24fe6e79-bf8d-45c9-96af-ef1d11fbd4a0",
      "myVolume"
    ],
    [
      "20a370f4-957f-446a-9126-08853d01933a",
      "secondVol"
    ],
    [
      "48e349a2-5bcd-4c59-896c-12b8240e634b",
      "smallVol"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

additionalDetails

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

additionalDetails

"additionalDetails"

False

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

volume_1.2_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-volume"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含卷名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:255

状态

string

False

JSON 字符串,包含指示卷操作状态的值。

大小

string

False

包含卷大小的 JSON 字符串。

已用

数字

False

包含已配置卷使用的配额字节数的 JSON 数字。

usedPercentage

数字

False

包含已用卷百分比的 JSON 数字。

总计

数字

False

包含已配置卷的总字节数的 JSON 编号。

creationToken

string

False

包含卷的创建令牌的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:255

snapshotPossible

string

False

JSON 字符串,指示驱动程序是否可以执行卷的快照。定义的值为:

  • "true" - 驱动程序可以获取卷的快照

  • "false" - 驱动程序无法获取卷的快照

storageClass

string

False

包含卷的存储类的 JSON 字符串。

  • 定义的值为:

  • 最小长度:1

  • 最大长度:255

pvcName

string

False

包含卷的 PersistentVolumeClaim (PVC) 名称的 JSON 字符串。

  • 定义的值为:

  • 最小长度:1

  • 最大长度:255

internalName

string

False

包含目标存储群集上卷的内部名称的 JSON 字符串(如果可用)。此名称来自 Kubernetes CSI 驱动程序。

  • 定义的值为:

  • 最小长度:1

  • 最大长度:255

appsUsing

数组[string]

True

JSON 字符串的 JSON 数组,每个数组都包含正在使用该卷的应用程序的 ID。定义的值为:

  • 符合 Astra 标识符架构

storageBackendID

string

False

JSON 字符串,包含提供卷的存储后端的 ID。定义的值为:

  • 符合 Astra 标识符架构

编排器

string

False

包含此卷的编排器的 JSON 字符串。这将为 Astra Data Store 卷定义。定义的值为:

  • "trident" - Trident 已配置此卷

  • "vasa" - NetApp VASA Provider 已配置此卷

  • "other" - 已手动配置卷或 orchestrator 未知

serviceLevel

string

False

包含在存储后端级别为此卷定义的服务质量 (QoS) 策略的 JSON 字符串。这将为 Astra Data Store 卷定义。

exportPolicy

string

False

包含与此卷关联的导出策略的 JSON 字符串。这将为 Astra Data Store 卷定义。

nodeId

string

False

包含为卷提供服务的节点 ID 的 JSON 字符串。这将为 Astra Data Store 卷定义。定义的值为:

  • 符合 Astra 标识符架构

healthState

string

False

JSON 字符串,包含指示卷健康状态的值。这将为 Astra Data Store 卷定义。定义的值为:

  • "不确定" - 无法确定资源的健康状况(例如,由于缺乏连接)

  • "normal" - 资源没有已知问题,可以根据接口规范提供服务

  • "warning" - 资源存在已知问题,但不会阻止其根据接口规范提供服务

  • "critical" - 资源存在已知问题,无法根据接口规范提供服务

healthStateDetails

数组["type_astra_stateDetail"]

True

JSON 对象的 JSON 数组,列出有关当前运行状况的其他详细信息。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因